com.sun.jna.platform.win32

## Class Guid.CLSID

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Guid.GUID
    - - com.sun.jna.platform.win32.Guid.CLSID

Enclosing interface:
  Guid

    public static class Guid.CLSID
    extends Guid.GUID

The Class CLSID.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

### Nested Class Summary

Nested Classes
`static class` `Guid.CLSID.ByReference` The Class ByReference.

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Guid.GUID

`Guid.GUID.ByValue`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.FieldOrder, Structure.StructField`

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.Guid.GUID

`Data1, Data2, Data3, Data4`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CLSID()` Instantiates a new clsid.
`CLSID(Guid.GUID guid)` Instantiates a new clsid.
`CLSID(java.lang.String guid)` Instantiates a new clsid.

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.Guid.GUID

`equals, fromBinary, fromString, hashCode, newGuid, toByteArray, toGuidString, writeFieldsToMemory`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CLSID

    public CLSID()

Instantiates a new clsid.

#### CLSID

    public CLSID(java.lang.String guid)

Instantiates a new clsid.

Parameters:
  `guid` - the guid

#### CLSID

    public CLSID(Guid.GUID guid)

Instantiates a new clsid.

Parameters:
  `guid` - the guid

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.